/****************************************************************************************************

		SimpleVolumetricEffect.r
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Lionel
		Date:	10/5/2004

****************************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "SimpleVolumetricEffectDef.h"
#include "interfaceids.h"

#define __RESOURCE_IID__
#include "3DPublicDefs.h"

#ifndef qUsingResourceLinker
include "SimpleVolumetricEffect.rsr"; 
#endif

//***********************************************************
//					light cone postrenderer
//***********************************************************



#ifndef qCarraraLight

resource 'GUID' (R_SimpleLightConePostRendID) {
	{
	R_IID_I3DExPostRenderer,
	R_CLSID_SimpleLightConePostRend
	}
};

resource 'COMP' (R_SimpleLightConePostRendID)
{
	'post',
	'SdkL',
	"SDK Simple Light Cone",
	"data #1",     // #1 means it is excluded from the pop up in the scene property
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};


#endif


//***********************************************************
//					volumetric light cone
//***********************************************************

#ifndef qCarraraLight

resource 'GUID' (R_SimpleLightConeVolID) {
	{
	R_IID_I3DExVolumetricEffect,
	R_CLSID_SimpleLightConeVol
	}
};


resource 'COMP' (R_SimpleLightConeVolID)
{
	'Volu',
	SimpleLightConeVolID,
	"SDK Simple Light Cone",
	"Volumetrics",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};


#endif


//***********************************************************
//			Light Cone Control (DataComponent)
//***********************************************************

#ifndef qCarraraLight

resource 'data' (R_SimpleLightConeControlID) 
{
	{
	'li  '   // can be applied to lights
	}
};

resource 'GUID' (R_SimpleLightConeControlID) 
{
	{
	R_IID_I3DExDataComponent,
	R_CLSID_SimpleLightConeControl
	}
};


resource 'COMP' (R_SimpleLightConeControlID) 
{
	'data',
	SimpleLightConeControlID,
	"SDK Simple Light Cone",
	"Basic",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'PMap' (R_SimpleLightConeControlID)
{
	{
	'ENBL','bool',interpolate,"Enable Light Cone","",

	'INTS','re32', interpolate, "Intensity","",				// light cone data
	'RADI','re32', interpolate, "Radius","",
	'COLO','colo', interpolate, "Fog Color","",
	'FALL','re32', noFlags,		"Falloff","",
	}
};

#endif // qCarraraLight

/************************************************************************************/

resource 'TBAR' (kPreviewZoomTBAR, "Preview Zoom Tools", purgeable) 
{
	"Preview Zoom Tools", straightLayout,
	{
		k2DPanToolID,	"2D Pan",	" ", noAction, alwaysEnabled, style_inset {120};
		k2DZoomToolID,	"2D Zoom",	"z", noAction, alwaysEnabled, style_inset {121};
	}
};
